/**
 * XActRelationshipPatientTransport.java
 *
 * File generated from the medication::XActRelationshipPatientTransport uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipPatientTransport.
 *
 * 
 */

@XmlType(name = "XActRelationshipPatientTransport")
@XmlEnum
@XmlRootElement(name = "XActRelationshipPatientTransport")
public enum XActRelationshipPatientTransport {
	@XmlEnumValue("ARR")
	ARR("ARR"),
	@XmlEnumValue("DEP")
	DEP("DEP");
	
	private final String value;

    XActRelationshipPatientTransport(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipPatientTransport fromValue(String v) {
        for (XActRelationshipPatientTransport c: XActRelationshipPatientTransport.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}